import plugin

class AlwaysFailPlugin(plugin.Plugin):
        def __init__(self):
                pass


        def configure(self,conf):
                self.baseDn=conf.get("alwaysfail","baseDn")

        def create(self,dn,attrs):
                self.update(dn,attrs)

        def update(self,dn,attrs):
                raise Exception("always fails create/update")

        def delete(self,dn):
                if not self.filter(dn):
                        return
                raise Exception("always fails delete")

        def rename(self,dn,attrs,dn2):
                if not self.filter(dn):
                        return
                raise Exception("always fails rename")

        def exists(self,dn,attrs):
                return False
